/*
 * Mapplic - Custom Interactive Map Plugin by @sekler
 * Version 6.0
 * https://www.mapplic.com/
 */

/* STYLES */
.mapplic-element {
	position: relative;
	overflow: hidden;
	font-size: 0;
	height: 420px;
}

.mapplic-element input,
.mapplic-element button,
.mapplic-element a,
.mapplic-element a:active {
	outline: none;
	box-shadow: none;
	text-decoration: none !important;
}

.mapplic-element a:focus {
	outline: none;
}

.mapplic-element > * {
	opacity: 1;
	transition: opacity 0.4s;
}

.mapplic-element.mapplic-loading > * {
	opacity: 0;
}

.mapplic-element strong {
	color: #333;
}

/* Preloader & Error */
.mapplic-element.mapplic-loading { background: url(images/loader.gif) no-repeat center; }
.mapplic-element.mapplic-error { background: url(images/error-icon.png) no-repeat center; }

/* Map container */
.mapplic-container {
	display: inline-block;
	position: relative;
	width: 100%;
	height: 100%;
}

.mapplic-map {
	transform-origin: 0 0;
}

/* Map layer */
.mapplic-layer { visibility: hidden; }
.mapplic-visible.mapplic-layer { visibility: visible; }
.mapplic-layer img {
	width: 100%;
}

.mapplic-map .mapplic-map-image {
	position: absolute;
	width: 100%;
	height: 100%;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
/* IE Fix END */

.mapplic-map.mapplic-zoomable .mapplic-map-image {
	cursor: url(images/openhand.cur), default;
}

.mapplic-map.mapplic-zoomable.mapplic-dragging .mapplic-map-image {
	cursor: url(images/closedhand.cur), move;
}



























.mapplic-fullscreen .mapplic-container { width: 100%; }
.mapplic-fullscreen .mapplic-sidebar { width: 00%; }

/* Levels */
.mapplic-levels {
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.04);
	position: absolute;
	top: 0;
	right: 0;
	margin: 12px;
	overflow: hidden;
}

.mapplic-levels > * {
	display: block;
	box-sizing: border-box;
}

.mapplic-levels-select {
	background-color: #fff;
	border: none;
	border-radius: 0;
	color: #2f3435;
	margin: 0;
	padding: 10px 8px;
	margin-right: 20px;
	font-size: 13px;
	font-weight: 600;
	outline: none;
	-webkit-appearance: none;
}

.mapplic-levels button {
	background-color: #fff;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 8px 4px;
	border: none;
	cursor: pointer;
	height: 50%;
	width: 20px;
	position: absolute;
	right: 0;
}

.mapplic-levels .mapplic-levels-down { bottom: 0; }


.mapplic-levels .mapplic-disabled {
	background-color: #eee;
	cursor: default;
}





.mapplic-container {
	float: right;
}



/* Thumbnail */
.mapplic-list-category .mapplic-thumbnail {
	background-color: #aaa;
	border-radius: 50%;
	width: 40px;
	height: 40px;
}

.mapplic-list-category .mapplic-thumbnail-placeholder {
	font-size: 18px;
	font-weight: bold;
	line-height: 25px;
}

.mapplic-thumbnail {
	border-radius: 0px;
	box-shadow: none !important;
	margin-right: 10px;
	float: left;
	width: 50px;
	height: 50px;
	object-fit: cover;
}

.mapplic-thumbnail-placeholder {
	background-color: #eee;
	box-sizing: border-box;
	color: #fff;
	font-size: 24px;
	font-weight: 500;
	line-height: 34px;
	padding: 8px 4px;
	width: 50px;
	height: 50px;
	text-align: center;
}

.mapplic-list-category > a .mapplic-list-count {
	color: #aaa;
	font-size: 12px;
	font-weight: normal;
	margin-left: 4px;
	opacity: 0.5;
}

/* List location */
.mapplic-list-location {
	border-color: #aaa;
	margin: 0 !important;
	padding: 0 !important;
}

.mapplic-list-location[data-location=init] {
	display: none !important;
}

.mapplic-list-location > a {
	background-color: #fff;
	border-left: 2px solid transparent;
	display: block;
	font-size: 14px;
	padding: 10px 20px 10px 18px;
	text-decoration: none;
	transition: border, background-color 0.1s;
}

.mapplic-list-location > a:after {
	content: '';
	display:block;
	clear:both;
}

.mapplic-list-location > a:hover,
.mapplic-list-location > a:focus,
.mapplic-list-location.mapplic-focus > a {
	background-color: #fafafa;
}

.mapplic-list-location.mapplic-active > a {
	background-color: #fafafa;
	border-color: inherit;
}

.mapplic-list-location h4 {
	color: #2f3435;
	font-size: 16px;
	font-weight: normal;
	line-height: 18px;
	margin: 4px 0 !important;
	padding: 0;
	clear: none;
}




/* Lightbox */
.mapplic-lightbox-title {
	color: #333;
	font-weight: bold;
	margin-top: 0;
	margin-bottom: 20px;
}

.mapplic-lightbox {
	background-color: #fff;
	position: relative;
	padding: 20px;
	width: auto;
	max-width: 500px;
	margin: 20px auto;
}

.mapplic-lightbox:after {
	content: '';
	display: block;
	clear: both;
}

.mapplic-popup-image {
	outline: none;
}

.mfp-bg { z-index: 99981 !important; }
.mfp-wrap { z-index: 99982 !important; }
.mfp-content { z-index: 99983 !important; }

/* Lightbox animation */
.mfp-fade.mfp-bg {
	opacity: 0;
	-webkit-transition: all 0.15s ease-out;
	-moz-transition: all 0.15s ease-out;
	transition: all 0.15s ease-out;
}

.mfp-fade.mfp-bg.mfp-ready { opacity: 0.8; }
.mfp-fade.mfp-bg.mfp-removing { opacity: 0; }

.mfp-fade.mfp-wrap .mfp-content {
	opacity: 0;
	-webkit-transition: all 0.15s ease-out;
	-moz-transition: all 0.15s ease-out;
	transition: all 0.15s ease-out;
}

.mfp-fade.mfp-wrap.mfp-ready .mfp-content { opacity: 1; }
.mfp-fade.mfp-wrap.mfp-removing .mfp-content { opacity: 0; }

/* Toggle */
.mapplic-toggle {
	display: block;
	cursor: pointer;
	font-size: 14px;
	position: relative;
	margin: 6px 0;
	min-width: 20px;
	min-height: 20px;
}

.mapplic-toggle > .mapplic-toggle-circle {
	background-color: #aaa;
	border-radius: 50%;
	position: absolute;
	left: 1px;
	top: 1px;
	width: 18px;
	height: 18px;
	transform-origin: center;
	transform: scale(0);
	transition: 0.2s;
}

.mapplic-toggle:before {
	background-color: #fff;
	border: 1px solid #e4e4e4;
	border-radius: 50%;
	box-sizing: content-box;
	content: '';
	display: block;
	position: absolute;
	left: 0;
	top: 0;
	width: 18px;
	height: 18px;
}

.mapplic-toggle > input { display: none; }
.mapplic-toggle > input:checked + span {
	transform: scale(0.7);
}

.mapplic-list-category { position: relative; }
.mapplic-list-category .mapplic-toggle {
	position: absolute;
	right: 20px;
	top: 50%;
	margin-top: -10px;
	box-sizing: border-box;
}

/* Legend */
.mapplic-legend {
	background-color: rgba(255,255,255, 0.9);
	margin: 12px;
	padding: 0 8px;
	position: absolute;
	left: 0;
	bottom: 0;
}

.mapplic-legend-label {
	display: block;
	font-size: 14px;
	font-weight: normal;
	margin: 6px 0;
	padding-left: 28px;
	white-space: nowrap;
	-webkit-user-select: none;
	-moz-user-select: none;
	-khtml-user-select: none;
	-ms-user-select: none;
}

.mapplic-legend-key {
	background-color: #aaa;
	border: 2px solid #fff;
	border-radius: 50%;
	box-sizing: content-box;
	display: inline-block;
	height: 16px;
	width: 16px;
	position: absolute;
	left: 8px;
}

/* Reveal */
.mapplic-revealed {
	visibility: visible !important;
}







.mapplic-portrait .mapplic-minimap-background {
	width: 100px !important;
}

.mapplic-portrait.mapplic-element {
	height: auto !important;
}

.mapplic-portrait .mapplic-list-container {
	max-height: 600px;
}

/* Map */
.mapplic-map svg {
	width: 100%;
	height: 100%;
}

.mapplic-element svg a {
	cursor: pointer;
}

.mapplic-clickable:not(g),
g.mapplic-clickable > * {
	cursor: pointer;
	-webkit-transition: opacity 0.2s;
	-moz-transition: opacity 0.2s;
	transition: opacity 0.2s;
}

.mapplic-map-image *[id^=MNOINT],
.mapplic-map-image *[id^=nopointer] {
	pointer-events: none;
}

[id^=landmarks] .mapplic-clickable {
	cursor: pointer;
}

/* Developer tools */
.mapplic-coordinates {
	background-color: rgba(255, 255, 255, 0.9);
	color: #333;
	position: absolute;
	margin: 10px;
	margin-left: -80px;
	padding: 4px 6px;
	font-size: 14px;
	top: 0;
	left: 50%;
	pointer-events: none;
}

/* SKINS */
/* mapplic-booking */
.mapplic-booking .mapplic-active,
.mapplic-booking .mapplic-active > * {
	fill: #A8D865;
}

.mapplic-booking .unavailable,
.mapplic-booking .unavailable > * {
	fill: #F7B332;
	opacity: 1;
	cursor: default;
}

/* INTERACTIVE ELEMENTS */
/* clickable elements */
.mapplic-clickable:not(g),
g.mapplic-clickable > * {
	transition: fill 0.2s;
}

/* hovered elements */
.mapplic-highlight:not(g),
g.mapplic-highlight > *,
.mapplic-clickable:not(g):hover,
g.mapplic-clickable:hover > * {

}

/* active elements */
.mapplic-active:not(g),
g.mapplic-active > * {

}

/* Default Style */
.defaultstyle.mapplic-clickable:not(g), g.defaultstyle.mapplic-clickable > * {
	fill: #70899C;
}

.defaultstyle.mapplic-highlight:not(g), g.defaultstyle.mapplic-highlight > *, .defaultstyle.mapplic-clickable:not(g):hover, g.defaultstyle.mapplic-clickable:hover > * {
	fill: #596D7E;
}

.defaultstyle.mapplic-active:not(g), g.defaultstyle.mapplic-active > * {
	fill: #4D5E6D !important;
}

/* Highlight */
fv
.mapplic-filtered svg [id^=landmark] > * { opacity: 0.4 !important; }
.mapplic-filtered .mapplic-clickable.mapplic-highlight { opacity: 1 !important; }

/* CUSTOM STYLES */
.mapplic-image,
.mapplic-tooltip-wrap { max-width: 300px !important; } /* tooltip width */
.mapplic-tooltip-content { max-height: 160px; } /* tooltip height*/
.mapplic-tooltip {
	height: 1px 
}

/* example custom pin */
.mapplic-pin.my-new-pin { /* replace 'my-new-pin' with the name of your pin */
	background-image: url(images/my-new-pin.png); /* define the path to image file */
	background-size: 20px 30px;
	width: 20px;
	height: 30px;
	margin-left: -10px; /* negative margins are used for */
	margin-top: -15px; /* defining the pin's origin */
}